:root {
    --defaultSectionPadding: 4% 0;
    --defaultRowWidth: 80%;
    --headerHeight: 120px;
    --footerHeight: 50px;
}

html {
    scroll-behavior: smooth;
}

:is(header, footer, #main-content) .wedding-container {
    max-width: var(--wp--style--global--content-size);
    width: 95%;
    margin: 0 auto;
    height: 100%;
}

:is(h1, h2, h3, h4, p, div, span) {
    color: var(--wp--preset--color--black);
    text-wrap: balance;
}

.page-template-template-rsvp,
.page-template-default {
	background-image: url('../images/background.webp');
    background-size: cover;
    background-attachment: fixed;
}
@supports (-webkit-touch-callout: none) {
    .page-template-template-rsvp,
    .page-template-default {
        background-attachment: scroll;
        background-image: none;
    }

    .page-template-template-rsvp::before,
    .page-template-default::before {
        content: "";
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background-image: url('../images/background.webp');
        background-size: cover;
        background-position: center;
        z-index: 0;
        pointer-events: none;
    }
}

.page-template-template-rsvp,
.page-template-default section {
    position: relative;
    z-index: 999;
}

#main-content {
    padding-bottom: var(--footerHeight);

    & > .content-container > section {
        min-height: calc(100dvh - var(--footerHeight));
        display: grid;
    }

    .floating-image {
        position: fixed;
        display: grid;

        &.top {
            top: 0;
            left: 0;
        }

        &.bottom {
            bottom: 0px;
            right: 0%;
            transform: rotateY(180deg);
        
            &.left {
                right: auto;
                left: 0%;
            }
        }

        &.hills {
            bottom: -10%;
            left: -2%;
            right: auto;
            width: 120%;

            @media only screen and (max-width: 768px) {
                width: 200%;
                bottom: 0;
            }

            img {
                width: 100%;
            }
        }

        &.hay {
            img {
                width: 100%;
                max-width: 500px;
            }
        }

        &.sign {

            img {
                width: 45%;
                max-width: 200px;
            }

            p {
                transform: rotateY(180deg) rotateZ(20deg);
                position: absolute;
                bottom: 34px;
                left: 36px;
                margin: 0;
                font-size: 7px;
            }
        }

        img  {
            transform: rotateY(180deg);
        }
    }
    
}

h2.section__title {
    font-size: var(--wp--preset--font-size--heading-s);
	text-align: center;
}

.content-wrapper {
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    text-align: center;
}

.content-wrapper.align-center {
    justify-content: center;
}

ul {
    padding: 0;
    list-style: none;
}

div#main-content > div:not(.floating-image) {
    position: relative;
    z-index: 3;
}

button {
    background-color: var(--wp--preset--color--wedding-green);
    border: none;
    border-radius: 2px;
    color: #fff;
    font-family: var(--wp--preset--font-family--cormorant-garamond);
    font-size: 20px;
    line-height: 1;
    width: -moz-fit-content;
    width: fit-content;
    padding: 0.5rem 2rem 0.7rem;
    cursor: pointer;

    &.remove-guest {
        background-color: red;
        padding: 0.25rem 1rem 0.35rem;
    }
}

footer {
	height: var(--footerHeight);
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    z-index: 9999;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 1px;
    background: var(--wp--preset--color--wedding-green);
    max-width: 500px;
}

footer.site-footer > .footer-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--wp--preset--color--wedding-beige);
}

footer.site-footer > .footer-icon.active {
    background-color: var(--wp--preset--color--wedding-green);
}

footer.site-footer > .footer-icon.active img {
    filter: brightness(0) invert(1);
}

footer.site-footer > .footer-icon img {
    width: 50%;
}
